<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    tools:context=".dashboard.BatteryFragment">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleCon"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/status"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/setting" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="30dp">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/signalStrength"
                        style="@style/TextBatteryLogo"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="100%"
                        android:textAlignment="center" />

                    <LinearLayout
                        android:id="@+id/connectData"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginStart="15dp"
                        android:visibility="visible">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conText1"
                            style="@style/TextButteryRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/not_charged"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                style="@style/TextButteryRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="current"
                                android:textStyle="bold"
                                tools:ignore="RelativeOverlap" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/conTExt3"
                                style="@style/TextButteryRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=" 22 mA"
                                android:textStyle="bold"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                style="@style/TextButteryRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="Power"
                                android:textStyle="bold"
                                tools:ignore="RelativeOverlap" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/conTExt4"
                                style="@style/TextButteryRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=" 0.5 W"
                                android:textStyle="bold"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleInform"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/information"
                    tools:ignore="RelativeOverlap" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/temperature"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informTitle2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/technology"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informDev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informTitle3"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/health_status"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informDev3"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informTitle4"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/maximum_output"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informDev4"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informTitle5"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/capacity_system_feedback"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/informDev5"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>